import Breakpoint from "./breakpoint";
import Bidirection from "./bidirection";
import Platform from "./platform";
import Clipboard from "./clipboard";
export declare const platformToken: import("vue").InjectionKey<Platform>;
export declare const breakpointToken: import("vue").InjectionKey<Breakpoint>;
export declare const bidirectionToken: import("vue").InjectionKey<Bidirection>;
export declare const clipboardToken: import("vue").InjectionKey<Clipboard>;
/**
 * all the global apis will only have single instace
 * *use in this formation
 * * const xxx = inject(xxxToken)!
 * singleton for performance
 *
 * @export
 */
export default function (): void;
