export default class Platform {
    /**
     * checkout if this is in browser envir
     *
     * @memberof Platform
     */
    readonly BROWSER: boolean;
    /**
     * the body element, when browser active
     * all body api shoud be use by this
     *
     * @memberof Platform
     */
    readonly BODY: HTMLElement | null;
    readonly TOP: (Window & typeof globalThis) | null;
    readonly EDGE: boolean;
    readonly TRIDENT: boolean;
    readonly BLINK: boolean;
    readonly WEBKIT: boolean;
    readonly IOS: boolean;
    readonly FIREFOX: boolean;
    readonly ANDROID: boolean;
    readonly SAFARI: boolean;
}
