import { DefineComponent } from "vue";
import { OverlayConfig } from '.';
import './overlay_state.css';
export declare class OverlayState {
    private readonly config;
    private body;
    readonly element: DefineComponent;
    private readonly show;
    private readonly originOverflow;
    constructor(config: Required<OverlayConfig>, body: HTMLElement);
    attach(): void;
    detach(): void;
    render(): DefineComponent;
    _setOverflow(enable: boolean): void;
    _getContainerClass(): string;
}
