import { DefineComponent } from "vue";
import { MessageData, MessageDataOptions } from './types';
export declare abstract class MessageService {
    constructor();
    info(content: string, options?: MessageDataOptions): void;
    error(content: string, options?: MessageDataOptions): void;
    warning(content: string, options?: MessageDataOptions): void;
    protected getInstanceId(): string;
    protected abstract create(data: MessageData): void;
}
export declare class MessageServiceImpl extends MessageService {
    private instances;
    readonly container: DefineComponent;
    constructor();
    protected create(data: MessageData): void;
    destroy(id: string): void;
    render(): DefineComponent<{}, () => JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, import("vue").EmitsOptions, string, import("vue").VNodeProps & import("vue").AllowedComponentProps & import("vue").ComponentCustomProps, Readonly<{} & {}>, {}>;
}
